Update Webhook Subscription

Update the enabled events on a webhook subscription.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

idstringRequired

The ID of the webhook subscription to update.

Example: "whes_Xj8mK2pL9nR4vT7qY5wZ"

Headers

x-extend-api-version"2026-02-09"Optional

API version to use for the request. If you’re using an SDK, you can ignore this parameter. If you are not using an SDK and do not specify a version, you will either receive a 400 Bad Request or be set to a previous legacy version. See API Versioning for more details.

Request

This endpoint expects an object.
enabledEventslist of enumsRequired
The event types to subscribe to. Must be valid for the subscription's resource type.

Response

Successfully updated webhook subscription
objectenum
Allowed values:
idstring
Unique identifier for the webhook subscription.
webhookEndpointIdstring
The ID of the webhook endpoint this subscription belongs to.
resourceTypeenum
The type of resource the webhook subscription is for.
Allowed values:
resourceIdstring

The ID of the resource this subscription is scoped to (e.g., an extractor, classifier, splitter, or workflow).

enabledEventslist of enums

The list of event types this subscription is subscribed to. The valid event types depend on the resourceType.

createdAtstringformat: "date-time"
The date and time the webhook subscription was created.

Errors